 

/**
 * berschrift:     RentalCarStock
 * Beschreibung:    Exercise course module 7.
 * 						This interface show the necessary methods for the
 * 						<code>list</code> interface.
 * Copyright:       Copyright (c) 2001
 * Organisation:    DVT
 * @author Shahriar Fakher, Thomas H. A. Dammann
 * @version $Revision: 1.3 $ --- $Date: 2001/09/26 16:28:24 $
 */

public interface Element {

	/** compares this element with another. Should return
	 * 		<code>false</code> if the elements belong to uncompatible classes.
	 *
	 * @return <code>true</code> if two elements are "equal"
	 */

    public boolean equals(Element toCompareWith);

	/** compares this element with another. Should return
	 * 		<code>false</code> if the elements belong to uncompatible classes.
	 *
	 * @return <code>true</code> if two elements are "less" or "equal"
	 */

    public boolean lessOrEqual(Element toCompareWith);
}
